[ARVADOS] updated: 1.1.0-147-g359c205
Git user
git at public.curoverse.com
Sun Nov 19 19:47:50 EST 2017
Summary of changes:
build/run-tests.sh | 28 ++++++++++++++++++++++++++++
1 file changed, 28 insertions(+)
via 359c2058fb78793bbf06920e605b4a3c1fd5f029 (commit)
from 856b9bb8403383347f771badb98a9093e1bb3aca (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit 359c2058fb78793bbf06920e605b4a3c1fd5f029
Author: Ward Vandewege <wvandewege at veritasgenetics.com>
Date: Sun Nov 19 18:53:32 2017 -0500
Add missing dependencies to the sanity check in run-tests.sh.
No issue #
Arvados-DCO-1.1-Signed-off-by: Ward Vandewege <wvandewege at veritasgenetics.com>
diff --git a/build/run-tests.sh b/build/run-tests.sh
index e1e83ed..ffe0e50 100755
--- a/build/run-tests.sh
+++ b/build/run-tests.sh
@@ -212,6 +212,27 @@ sanity_checks() {
echo -n 'cadaver: '
cadaver --version | grep -w cadaver \
|| fatal "No cadaver. Try: apt-get install cadaver"
+ echo -n 'libattr1 xattr.h: '
+ find /usr/include -path '*/attr/xattr.h' | egrep --max-count=1 . \
+ || fatal "No libattr1 xattr.h. Try: apt-get install libattr1-dev"
+ echo -n 'libcurl curl.h: '
+ find /usr/include -path '*/curl/curl.h' | egrep --max-count=1 . \
+ || fatal "No libcurl curl.h. Try: apt-get install libcurl4-gnutls-dev"
+ echo -n 'libpq libpq-fe.h: '
+ find /usr/include -path '*/postgresql/libpq-fe.h' | egrep --max-count=1 . \
+ || fatal "No libpq libpq-fe.h. Try: apt-get install libpq-dev"
+ echo -n 'services/api/config/database.yml: '
+ if [[ ! -f "$WORKSPACE/services/api/config/database.yml" ]]; then
+ fatal "Please provide a database.yml file for the test suite"
+ else
+ echo "OK"
+ fi
+ echo -n 'postgresql: '
+ psql --version || fatal "No postgresql. Try: apt-get install postgresql postgresql-client-common"
+ echo -n 'phantomjs: '
+ phantomjs --version || fatal "No phantomjs. Try: apt-get install phantomjs"
+ echo -n 'xvfb: '
+ which Xvfb || fatal "No xvfb. Try: apt-get install xvfb"
}
rotate_logfile() {
@@ -283,6 +304,13 @@ done
start_api() {
echo 'Starting API server...'
+ if [[ ! -d "$WORKSPACE/services/api/log" ]]; then
+ mkdir -p "$WORKSPACE/services/api/log"
+ fi
+ # Remove empty api.pid file if it exists
+ if [[ -f "$WORKSPACE/tmp/api.pid" && ! -s "$WORKSPACE/tmp/api.pid" ]]; then
+ rm -f "$WORKSPACE/tmp/api.pid"
+ fi
cd "$WORKSPACE" \
&& eval $(python sdk/python/tests/run_test_server.py start --auth admin) \
&& export ARVADOS_TEST_API_HOST="$ARVADOS_API_HOST" \
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list